Package logilab :: Package common :: Module registry :: Class OrPredicate

[frames] | no frames]

# Class OrPredicate

source code

    object --+
             |
     Predicate --+
                 |
    MultiPredicate --+
                     |
                    OrPredicate

    or-chained selectors

Instance Methods

__call__(self, cls, *args, **kwargs) | source code

Inherited from `MultiPredicate`: `__init__`, `__str__`, `search_selector` Inherited from `Predicate`: `__and__`, `__iand__`, `__invert__`, `__ior__`, `__or__`, `__rand__`, `__repr__`, `__ror__`, `func_name` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Class Methods
Inherited from `MultiPredicate`: `merge_selectors`

Properties
Inherited from `object`: `__class__`

Method Details

### __call__(self, cls, *args, **kwargs)
(Call operator)

source code

Overrides: Predicate.__call__